@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          class="anchor"
          [nzHeader]="statisticsTitle"
          [sqtmCoreAnchorPanel]="'dashboard'"
          [sqtmCoreAnchorCollapsePanel]="'dashboard'"
        >
          <ng-template #statisticsTitle>
            <div
              class="flex-row full-width"
              style="justify-content: space-between; overflow: hidden"
            >
              <div class="entity-view-collapse-panel-title">
                @if (
                  !componentData.campaignFolder.shouldShowFavoriteDashboard
                ) {
                  <span>
                    {{
                      'sqtm-core.campaign-workspace.campaign-folder-page.statistics.blocks.stats'
                        | translate
                    }}
                  </span>
                } @else {
                  <span>
                    @if (componentData.campaignFolder.dashboard) {
                      {{ componentData.campaignFolder.dashboard.name }}
                    } @else {
                      <span>{{
                        'sqtm-core.generic.label.dashboard.title' | translate
                      }}</span>
                    }
                  </span>
                }
              </div>
              <div class="flex-row flex-end">
                @if (
                  !componentData.campaignFolder.shouldShowFavoriteDashboard
                ) {
                  <button
                    class="flex-fixed-size m-l-5"
                    [attr.data-test-element-id]="'favorite-button'"
                    nz-button
                    [nzType]="'primary'"
                    [nzSize]="'small'"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.favorite' | translate
                    "
                    (click)="displayFavoriteDashboard($event)"
                  >
                    <span>
                      {{ 'sqtm-core.generic.label.favorite' | translate }}
                    </span>
                  </button>
                } @else {
                  <button
                    class="flex-fixed-size m-l-5"
                    [attr.data-test-element-id]="'default-button'"
                    nz-button
                    [nzType]="'primary'"
                    [nzSize]="'small'"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.default' | translate
                    "
                    (click)="displayDefaultDashboard($event)"
                  >
                    {{ 'sqtm-core.generic.label.default' | translate }}
                  </button>
                }
                <span class="m-l-10">
                  <sqtm-core-filter-icon-menu
                    [isChecked]="$lastExecutionScope()"
                    [checkBoxLabel]="
                      'sqtm-core.campaign-workspace.statistics.last-exec-scope.message'
                    "
                    [helpTooltip]="
                      'sqtm-core.campaign-workspace.statistics.last-exec-scope.tooltip'
                    "
                    (confirmEvent)="changeExtendedScope($event, componentData)"
                  >
                  </sqtm-core-filter-icon-menu>
                </span>
              </div>
            </div>
          </ng-template>
          @if (!componentData.campaignFolder.shouldShowFavoriteDashboard) {
            @if (componentData.campaignFolder.campaignFolderStatisticsBundle) {
              <div class="full-width">
                @if (
                  hasTestPlanItems(
                    componentData.campaignFolder.campaignFolderStatisticsBundle
                      .testCaseStatusStatistics
                  )
                ) {
                  <sqtm-app-campaign-statistics-charts-panel
                    [statistics]="
                      componentData.campaignFolder
                        .campaignFolderStatisticsBundle
                    "
                    [disabledExecutionStatus]="
                      componentData.projectData.disabledExecutionStatus
                    "
                    [scope]="getScope(componentData.campaignFolder)"
                    [lastExecutionScope]="$lastExecutionScope()"
                  ></sqtm-app-campaign-statistics-charts-panel>
                } @else {
                  <div
                    class="full-width flex-row"
                    [attr.data-test-element-id]="'empty-test-plan-error'"
                  >
                    {{
                      'sqtm-core.campaign-workspace.campaign-page.statistics.charts.no-test-plan-items.campaign'
                        | translate
                    }}
                  </div>
                }
              </div>
            } @else {
              <div class="full-width">
                <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
              </div>
            }
          } @else {
            @if (
              componentData.campaignFolder.dashboard &&
              componentData.campaignFolder.canShowFavoriteDashboard
            ) {
              <div style="height: 84vh" class="full-width">
                @if (
                  componentData.campaignFolder.dashboard.chartBindings
                    .length !== 0 ||
                  componentData.campaignFolder.dashboard.reportBindings
                    .length !== 0
                ) {
                  <sqtm-app-custom-dashboard
                    [chartBindings]="
                      getChartBindings(componentData.campaignFolder.dashboard)
                    "
                  ></sqtm-app-custom-dashboard>
                } @else {
                  <div style="height: 84vh; text-align: center">
                    <span style="font-weight: 600">
                      {{
                        'sqtm-core.custom-report-workspace.dashboard-view.empty-favorite.label'
                          | translate
                      }}
                    </span>
                  </div>
                }
              </div>
            } @else {
              <div style="height: 84vh; text-align: center">
                <span style="font-weight: 600">
                  {{
                    'sqtm-core.generic.workspace.messages.add-favorite-dashboard'
                      | translate
                  }}
                </span>
              </div>
            }
          }
        </nz-collapse-panel>
        @if (!componentData.campaignFolder.shouldShowFavoriteDashboard) {
          <nz-collapse-panel
            class="anchor"
            [nzHeader]="inventoryTitle"
            [nzActive]="true"
          >
            <ng-template #inventoryTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.campaign-workspace.campaign-folder-page.statistics.blocks.inventory'
                    | translate
                }}
              </div>
            </ng-template>
            @if (componentData.campaignFolder.campaignFolderStatisticsBundle) {
              <div class="full-width">
                <sqtm-app-campaign-folder-inventory
                  [inventory]="
                    componentData.campaignFolder.campaignFolderStatisticsBundle
                      .testInventoryStatistics
                  "
                  [disabledExecutionStatus]="
                    componentData.projectData.disabledExecutionStatus
                  "
                ></sqtm-app-campaign-folder-inventory>
              </div>
            } @else {
              <div class="full-width">
                <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
              </div>
            }
          </nz-collapse-panel>
        }
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
          sqtmCoreAnchorLastPanel
          class="anchor"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <div class="folder-information-grid">
            <sqtm-core-label
              [text]="'sqtm-core.entity.generic.description.label' | translate"
            >
            </sqtm-core-label>
            <sqtm-core-editable-rich-text
              [size]="'default'"
              [border]="true"
              [focus]="true"
              class="campaign-grid-group-three-column"
              [attr.data-test-field-id]="'description'"
              [sqtmCoreEntityViewEditableRichTextField]="'description'"
              [placeholder]="
                'sqtm-core.generic.editable.description.placeholder' | translate
              "
            >
            </sqtm-core-editable-rich-text>
            @for (cfd of customFieldData; track trackCfd($index, cfd)) {
              <sqtm-core-label
                class="campaign-grid-first-column"
                [text]="cfd.label"
              >
              </sqtm-core-label>
              <div class="campaign-grid-group-three-column">
                <sqtm-core-custom-field-widget
                  [sqtmCoreEntityCustomField]="cfd"
                  [attr.data-test-customfield-id]="cfd.name"
                >
                </sqtm-core-custom-field-widget>
              </div>
            }
          </div>
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}
